From 4659b8ebcb516de24859c7f6203391a8f3f5ee2c Mon Sep 17 00:00:00 2001
From: TianBo Zheng <naturalwalker@hotmail.com>
Date: Mon, 10 Jan 2022 07:59:24 +0000
Subject: [PATCH] Add MKV tags for AVS2 and AVS3 codecs.

Signed-off-by: TianBo Zheng <naturalwalker@hotmail.com>
---
 libavformat/matroska.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libavformat/matroska.c b/libavformat/matroska.c
index 7c56aba403..90d94b65bf 100644
--- a/libavformat/matroska.c
+++ b/libavformat/matroska.c
@@ -78,6 +78,8 @@ const CodecTags ff_mkv_codec_tags[]={
     {"S_HDMV/TEXTST"    , AV_CODEC_ID_HDMV_TEXT_SUBTITLE},
 
     {"V_AV1"            , AV_CODEC_ID_AV1},
+    {"V_AVS2"           , AV_CODEC_ID_AVS2},
+    {"V_AVS3"           , AV_CODEC_ID_AVS3},
     {"V_DIRAC"          , AV_CODEC_ID_DIRAC},
     {"V_FFV1"           , AV_CODEC_ID_FFV1},
     {"V_MJPEG"          , AV_CODEC_ID_MJPEG},
-- 
2.19.1

